[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomPanel.GetControlClassDefaultSize

Gets the size used for a new instance of the class type.

## Declaration

Source position: extctrls.pp line 1145

`protected class function TCustomPanel.GetControlClassDefaultSize: TSize; override;`

## Function result

TSize value with the default dimensions for new class instances.

## Description

GetControlClassDefaultSize is overridden to provide the default size for new instances of the class type. The return value is a TSize type which contains the dimensions for the new control. The CX member contains the Width for the panel, and defaults to 170 pixels. The CY member contains the Height for the panel, and defaults to 50 pixels.

## See also

TControl.GetControlClassDefaultSize |  | Returns the default dimensions for new instances of the class.